Get customer by ID
curl --request GET \
--url https://provider.api.nadles.com/v0/customers/{customerId} \
--header 'nadles-provider-key: <api-key>'import requests
url = "https://provider.api.nadles.com/v0/customers/{customerId}"
headers = {"nadles-provider-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'nadles-provider-key': '<api-key>'}};
fetch('https://provider.api.nadles.com/v0/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"email": "<string>",
"external_id": "<string>",
"billing_address_line1": "<string>",
"billing_address_line2": "<string>",
"billing_address_city": "<string>",
"billing_address_country_code": "<string>",
"billing_address_zip_code": "<string>",
"billing_address_region": "<string>",
"is_business": true,
"business_name": "<string>",
"company_number": "<string>",
"tax_identifier": "<string>"
}API Reference
Get customer by ID
GET
/
customers
/
{customerId}
Get customer by ID
Authorizations
API key provided in the admin portal
Path Parameters
The ID of the customer.
Response
200 - application/json
OK
⌘I